> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.bridge.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a Bridge Wallet

> Retrieve a Bridge Wallet for the specified Bridge Wallet ID



## OpenAPI

````yaml https://withbridge-image1-sv-usw2-monorail-openapi.s3.amazonaws.com/latest.json get /customers/{customerID}/wallets/{bridgeWalletID}
openapi: 3.0.2
info:
  title: Bridge API
  description: APIs to move into, out of, and between any form of a dollar
  version: '1'
servers:
  - url: https://api.bridge.xyz/v0
    description: The base path for all resources
security:
  - ApiKey: []
tags:
  - name: Customers
  - name: Fiat Payout Configuration
  - name: External Accounts
  - name: Transfers
  - name: Prefunded Accounts
  - name: Balances
  - name: Liquidation Addresses
  - name: Developers
  - name: API Keys
  - name: Plaid
  - name: Virtual Accounts
  - name: Static Memos
  - name: Cards
  - name: Funds Requests
  - name: Webhooks
  - name: Lists
  - name: Crypto Return Policies
  - name: Rewards
  - name: Associated Persons
  - name: Sandbox
paths:
  /customers/{customerID}/wallets/{bridgeWalletID}:
    get:
      tags:
        - Bridge Wallets
      summary: Get a Bridge Wallet
      description: Retrieve a Bridge Wallet for the specified Bridge Wallet ID
      parameters:
        - $ref: '#/components/parameters/CustomerIDParameter'
        - $ref: '#/components/parameters/BridgeWalletIDParameter'
      responses:
        '200':
          description: A Bridge Wallet object response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BridgeWalletWithBalances'
              examples:
                SuccessfulLiquidationAddressGetResponse:
                  $ref: '#/components/examples/SuccessfulBridgeWalletGetResponse'
        '400':
          $ref: '#/components/responses/BadRequestError'
        '401':
          $ref: '#/components/responses/AuthenticationError'
        '404':
          $ref: '#/components/responses/NotFoundError'
        '500':
          $ref: '#/components/responses/UnexpectedError'
components:
  parameters:
    CustomerIDParameter:
      name: customerID
      in: path
      required: true
      schema:
        $ref: '#/components/schemas/Id'
    BridgeWalletIDParameter:
      name: bridgeWalletID
      in: path
      required: true
      schema:
        $ref: '#/components/schemas/Id'
  schemas:
    BridgeWalletWithBalances:
      required:
        - chain
      allOf:
        - $ref: '#/components/schemas/CreateBridgeWallet'
        - properties:
            id:
              $ref: '#/components/schemas/Id'
              readOnly: true
            chain:
              $ref: '#/components/schemas/BridgeWalletChain'
              description: The chain of the Bridge Wallet
              readOnly: true
            address:
              description: The blockchain address of the Bridge Wallet
              type: string
              readOnly: true
            initiation_required:
              readOnly: true
              type: boolean
              description: >-
                When present, transfers sourced from this wallet must include an
                `initiation` object on the create request. Omitted for wallets
                that do not require initiation data.
            created_at:
              readOnly: true
              type: string
              description: Time of creation of the Bridge Wallet
              format: date-time
            updated_at:
              readOnly: true
              type: string
              description: Time of most recent update of the Bridge Wallet
              format: date-time
            balances:
              type: array
              items:
                $ref: '#/components/schemas/BridgeWalletBalance'
              readOnly: true
    Id:
      description: A UUID that uniquely identifies a resource
      type: string
      pattern: '[a-z0-9]*'
      minLength: 1
      maxLength: 42
    CreateBridgeWallet:
      required:
        - chain
      properties:
        chain:
          $ref: '#/components/schemas/BridgeWalletChain'
    BridgeWalletChain:
      type: string
      enum:
        - base
        - ethereum
        - solana
        - tempo
        - tron
    BridgeWalletBalance:
      description: The balance of a Bridge Wallet for a given currency
      type: object
      required:
        - balance
        - currency
        - chain
      properties:
        balance:
          type: string
          description: The balance in the given currency. ex. "10.95"
          readOnly: true
        currency:
          $ref: '#/components/schemas/Currency'
          description: The currency of the balance
          readOnly: true
        chain:
          $ref: '#/components/schemas/BridgeWalletChain'
          description: The chain of the balance
          readOnly: true
        contract_address:
          description: >-
            The contract address of the currency, or null if it is a native
            currency
          type: string
          readOnly: true
    Error:
      required:
        - code
        - message
      properties:
        code:
          type: string
          minLength: 1
          maxLength: 256
        message:
          type: string
          minLength: 1
          maxLength: 512
        source:
          title: ErrorSource
          required:
            - location
            - key
          properties:
            location:
              type: string
              enum:
                - path
                - query
                - body
                - header
            key:
              type: string
              description: >-
                Comma separated names of the properties or parameters causing
                the error
    Currency:
      type: string
      enum:
        - usdb
        - usdc
        - usdt
        - usd
        - pyusd
  examples:
    SuccessfulBridgeWalletGetResponse:
      summary: A successful get response for a Bridge Wallet
      value:
        id: bw_123
        chain: solana
        address: 9kV3ZMehKVyxfHKCcaDLye3P9HHw2MP4jtQa2gKBUmCs
        created_at: '2023-11-22T21:31:30.515Z'
        updated_at: '2023-11-22T21:31:30.515Z'
        balances:
          - balance: '100.25'
            currency: usdb
            chain: solana
            contract_address: ENL66PGy8d8j5KNqLtCcg4uidDUac5ibt45wbjH9REzB
  responses:
    BadRequestError:
      description: Request containing missing or invalid parameters.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          examples:
            BadCustomerRequestErrorExample:
              summary: Bad customer request
              value:
                code: bad_customer_request
                message: fields missing from customer body.
                name: first_name,ssn
    AuthenticationError:
      description: Missing or invalid API key
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          examples:
            MissingTokenError:
              summary: No Api-Key header
              description: The header may be missing or misspelled.
              value:
                code: required
                location: header
                name: Api-Key
                message: Missing Api-Key header
            InvalidTokenError:
              summary: Invalid key in Api-Key header
              value:
                code: invalid
                location: header
                name: Api-Key
                message: Invalid Api-Key header
    NotFoundError:
      description: No resource found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          examples:
            NotFoundErrorExample:
              summary: Invalid customer id
              value:
                code: Invalid
                message: Unknown customer id
    UnexpectedError:
      description: Unexpected error. User may try and send the request again.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          examples:
            UnexpectedError:
              summary: An unexpected error
              value:
                errors:
                  - code: unexpected
                    message: An expected error occurred, you may try again later
  securitySchemes:
    ApiKey:
      type: apiKey
      name: Api-Key
      in: header

````